/******************************************************************************/
/* CodeSign, by LoRd_MuldeR <MuldeR2@GMX.de>                                  */
/* This work has been released under the CC0 1.0 Universal license!           */
/******************************************************************************/

#ifndef _COMMON_H
#define _COMMON_H

#include <stdlib.h>
#include <stdio.h>

#define PASSWD_MINLEN 8
typedef unsigned long long UI64_T;

void print_logo(const char *const app_name);
void print_license(void);
char *convert_wchar_to_UTF8(const wchar_t *str_w);
char *read_line_from_file(FILE *const file, const int trim);
UI64_T get_current_time(void);
void store_uint64(unsigned char *const buffer, const UI64_T value);
UI64_T load_uint64(const unsigned char *const buffer);
const unsigned char* load_resource_data(const wchar_t *const name, unsigned int *const length);
int force_flush(FILE *const file);
void zero_memory(void *const ptr, const size_t size);

#endif /*_COMMON_H*/
